#!/bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2011, 2011 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
# IBM_COPYRIGHT_END

#
# 09N6996
#

# this script contains actions to be taken as part of the post
# install processing of isdvmi-ha package. It is invoked by
# the scriplet therein.

# Ensure that the RMC well-known port 657 is in the blacklist
# file that prevents the port being returned by the bindrevport()
# function. Currently, this blacklist file is only supported on
# newer releases of SUSE Linux (SLES)

INSTALL_ARG=$1         # arg passed to RPM scriplet

BLACKLIST=/etc/bindresvport.blacklist
TMPBLACKLIST=${BLACKLIST}.tmp.$$
TMPCRONTAB=/tmp/crontab.$$

TABCHAR="	"                   # a single tab character
BLANKCHAR=" "                   # a single blank character

if [[ -f $BLACKLIST ]]
then
    cp -p $BLACKLIST $TMPBLACKLIST      # copy to temp file

    if ! grep "^[${BLANKCHAR}${TABCHAR}]*657" $TMPBLACKLIST >& /dev/null
    then
        echo "657${TABCHAR}# rmc" >> $TMPBLACKLIST
        mv $TMPBLACKLIST $BLACKLIST
    else
        rm -f $TMPBLACKLIST
    fi
fi

# add a crontab entry for root to trim the trace spool areas
# every 15 minutes

if /usr/bin/crontab -u root -l > $TMPCRONTAB 2> /dev/null
then
    grep -q 'smhachkspool.sh' $TMPCRONTAB 2> /dev/null
    if [ $? -ne 0 ]
    then
        echo "0,15,30,45 * * * * /opt/ibm/director/ha/bin/install/smhachkspool.sh" >> $TMPCRONTAB
        /usr/bin/crontab -u root $TMPCRONTAB
    fi
fi
rm -f $TMPCRONTAB

if [[ -d /tmp/kgnmas ]]
then
    echo "INSTALL_ARG=$INSTALL_ARG" > /tmp/kgnmas/smhaposti.out
fi

exit 0
